<?php
namespace Util\Instance;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DependencyInjection\InstanceManager;
use Util\InstanceProvider;


class Factory {
    /** @return  Factory */
    public static function getInstance()
    {
        return new static();
    }

    /** @return \Factory\Attachment */
    public function getAttachment()
    {
        return InstanceManager::getInstance()->getService('\Factory\Attachment');
    }

    /** @return \Factory\Allocation */
    public function getAllocation()
    {
        return InstanceManager::getInstance()->getService('\Factory\Allocation');
    }

    /** @return \Factory\CallLabelRelation */
    public function getCallLabelRelation()
    {
        return InstanceManager::getInstance()->getService('\Factory\CallLabelRelation');
    }

    /** @return \Factory\CallLabel */
    public function getCallLabel()
    {
        return InstanceManager::getInstance()->getService('\Factory\CallLabel');
    }

    /** @return \Factory\Call */
    public function getCall()
    {
        return InstanceManager::getInstance()->getService('\Factory\Call');
    }

    /** @return \Factory\CallOperador */
    public function getCallOperador()
    {
        return InstanceManager::getInstance()->getService('\Factory\CallOperador');
    }

    /** @return \Factory\ErrorClassification */
    public function getErrorClassification()
    {
        return InstanceManager::getInstance()->getService('\Factory\ErrorClassification');
    }


    /** @return \Factory\Structure */
    public function getStructure()
    {
        return InstanceManager::getInstance()->getService('\Factory\Structure');
    }

    /** @return \Factory\Contato */
    public function getContato()
    {
        return InstanceManager::getInstance()->getService('\Factory\Contato');
    }

    /** @return \Factory\LogFaseTram */
    public function getLogFaseTram()
    {
        return InstanceManager::getInstance()->getService('\Factory\LogFaseTram');
    }

    /** @return \Factory\ReplanningReason */
    public function getReplanningReason()
    {
        return InstanceManager::getInstance()->getService('\Factory\ReplanningReason');
    }

    /** @return \Factory\TaskReplanningReason */
    public function getTaskReplanningReason()
    {
        return InstanceManager::getInstance()->getService('\Factory\TaskReplanningReason');
    }

    /** @return \Factory\Classification */
    public function getClassification()
    {
        return InstanceManager::getInstance()->getService('\Factory\Classification');
    }

    /** @return \Factory\ResourceProject */
    public function getResourceProject()
    {
        return InstanceManager::getInstance()->getService('\Factory\ResourceProject');
    }

    /** @return \Factory\ChangedFiles */
    public function getChangedFiles()
    {
        return InstanceManager::getInstance()->getService('\Factory\ChangedFiles');
    }

    /** @return \Factory\TaskLabel */
    public function getTaskLabel()
    {
        return InstanceManager::getInstance()->getService('\Factory\TaskLabel');
    }

    /** @return \Factory\Release */
    public function getRelease()
    {
        return InstanceManager::getInstance()->getService('\Factory\Release');
    }

    /** @return \Factory\Subrelease */
    public function getSubrelease()
    {
        return InstanceManager::getInstance()->getService('\Factory\Subrelease');
    }

    /** @return \Factory\Product */
    public function getProduct()
    {
        return InstanceManager::getInstance()->getService('\Factory\Product');
    }

    /* @return \Factory\OperadorAcesso */
    public function getOperadorAcesso()
    {
        return InstanceManager::getInstance()->getService('\Factory\OperadorAcesso');
    }
    public function getProject()
    {
        return InstanceManager::getInstance()->getService('\Factory\Project');
    }


    /** @return \Factory\TaskStatus */
    public function getTaskStatus()
    {
        return InstanceManager::getInstance()->getService('\Factory\TaskStatus');
    }

    /** @return \Factory\TaskType */
    public function getTaskType()
    {
        return InstanceManager::getInstance()->getService('\Factory\TaskType');
    }

    /** @return \Factory\Comments */
    public function getComments()
    {
        return InstanceManager::getInstance()->getService('\Factory\Comments');
    }

    /** @return \Factory\Task */
    public function getTask()
    {
        return InstanceManager::getInstance()->getService('\Factory\Task');
    }

    /** @return \Factory\Label */
    public function getLabel()
    {
        return InstanceManager::getInstance()->getService('\Factory\Label');
    }

    /** @return \Factory\TaskTypeProjectType */
    public function getTaskTypeProjectType()
    {
        return InstanceManager::getInstance()->getService('\Factory\TaskTypeProjectType');
    }
    /** @return \Factory\TaskRelationship */
    public function getTaskRelationship()
    {
        return InstanceManager::getInstance()->getService('\Factory\TaskRelationship');
    }
    /** @return \Factory\BudgetItem */
    public function getBudgetItem()
    {
        return InstanceManager::getInstance()->getService('\Factory\BudgetItem');
    }

    /** @return \Factory\BudgetItemBudget */
    public function getBudgetItemBudget()
    {
        return InstanceManager::getInstance()->getService('\Factory\BudgetItemBudget');
    }
    /** @return \Factory\BudgetPlots */
    public function getBudgetPlots()
    {
        return InstanceManager::getInstance()->getService('\Factory\BudgetPlots');
    }

    /** @return \Factory\Budget */
    public function getBudget()
    {
        return InstanceManager::getInstance()->getService('\Factory\Budget');
    }
    /** @return \Factory\ClassificationBudgetItem */
    public function getClassificationBudgetItem()
    {
        return InstanceManager::getInstance()->getService('\Factory\ClassificationBudgetItem');
    }
    /** @return \Factory\DocumentTemplate */
    public function getDocumentTemplate()
    {
        return InstanceManager::getInstance()->getService('\Factory\DocumentTemplate');
    }

    /** @return \Factory\ClassificationPerfilacesso */
    public function getClassificationPerfilacesso()
    {
        return InstanceManager::getInstance()->getService('\Factory\ClassificationPerfilacesso');
    }

    /** @return \Factory\AclLabels */
    public function getAclLabels()
    {
        return InstanceManager::getInstance()->getService('\Factory\AclLabels');
    }
}
