import { Metadata, Singleton } from '@zeedhi/core';
import Store from '@/store';
import { Tree } from '@zeedhi/common';

@Singleton
export class AclLabelsLogDetailController {
	private aclLabelsLogTreeNewObject?: Tree;

	get aclLabelsLogTreeNew() {
		if (!this.aclLabelsLogTreeNewObject) {
			this.aclLabelsLogTreeNewObject = Metadata.getInstance<Tree>('aclLabelsLogTreeNew');
		}
		return this.aclLabelsLogTreeNewObject;
	}

	private aclLabelsLogTreeOldObject?: Tree;

	get aclLabelsLogTreeOld() {
		if (!this.aclLabelsLogTreeOldObject) {
			this.aclLabelsLogTreeOldObject = Metadata.getInstance<Tree>('aclLabelsLogTreeOld');
		}
		return this.aclLabelsLogTreeOldObject;
	}

	get detailIsVisible() {
		return !Store.getters['AclLabels/getLogGridIsVisible'];
	}

	get aclLabelsLogRow() {
		return Store.getters['AclLabels/getAclLabelsLogRow'];
	}

	get titleHeader(): string {
		if (Object.keys(this.aclLabelsLogRow).length) {
			return `${this.aclLabelsLogRow.nmoperador} - ${this.aclLabelsLogRow.date}`;
		}
		return '';
	}

	public clickBackToAclLabelsLogGrid() {
		Store.commit('AclLabels/setLogGridIsVisible', true);
	}

	public onLoadNodes() {
		this.aclLabelsLogTreeNew.nodes = JSON.parse(this.aclLabelsLogRow.newNode);
		this.aclLabelsLogTreeOld.nodes = JSON.parse(this.aclLabelsLogRow.oldNode);
	}
}
