import { ITreeNodeModel } from '@zeedhi/common';

export class AclLabelsService {
	private static allLabels: Array<string> = [];

	public static getAllLabelsInNodes(nodes: Array<ITreeNodeModel<any>>): Array<string> {
		this.allLabels = [];
		this.iterateChildrenNodes(nodes);

		return this.allLabels;
	}

	private static iterateChildrenNodes(nodes: Array<ITreeNodeModel<any>>) {
		nodes.forEach((node) => {
			if (node.data.label) {
				this.allLabels.push(node.data.label);
			}

			if (node.children?.length) {
				this.iterateChildrenNodes(node.children);
			}
		});
	}
}
